de.esprit.appsuite.database.dbase

## Interface InsertFactory

- All Known Implementing Classes:
    InsertDefaultFactory

      public interface InsertFactory

  This interface defines what makes up an InsertFactory for providing insert-default values.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `get(Field inputField)` Gets the value for the given table-column or null if none is specified.
    `java.lang.Object` | `get(NlsDatabaseKey nlsKey)` Gets the value for the given table-column or null if none is specified.
    `boolean` | `isApplyValuesInDialog()` Defines whether the insert-default values should be applied to a DBObject when the record editor dialog is applied.
    `void` | `put(Field inputField, java.lang.Object insertValue)` Strores an insert default value for the given table-column.
    `void` | `put(NlsDatabaseKey nlsKey, java.lang.Object insertValue)` Strores an insert default value for the given table-column.
    `void` | `setApplyValuesInDialog(boolean isApplyValuesInDialog)` Tells whether the insert-default values should be applied to a DBObject when the record editor dialog is applied.

- - ### Method Detail

    - #### get

          java.lang.Object get(NlsDatabaseKey nlsKey)

      Gets the value for the given table-column or null if none is specified. The value will be converted to the data type of the particular table-column.

    - #### get

          java.lang.Object get(Field inputField)

      Gets the value for the given table-column or null if none is specified. The value will be converted to the data type of the particular table-column.

    - #### put

          void put(NlsDatabaseKey nlsKey,
                 java.lang.Object insertValue)

      Strores an insert default value for the given table-column. Note that the data type of the value must match the real data type of the table-column.

    - #### put

          void put(Field inputField,
                 java.lang.Object insertValue)

      Strores an insert default value for the given table-column. Note that the data type of the value must match the real data type of the table-column.

    - #### isApplyValuesInDialog

          boolean isApplyValuesInDialog()

      Defines whether the insert-default values should be applied to a DBObject when the record editor dialog is applied. By default the values are applied when dbInsert() is called.

    - #### setApplyValuesInDialog

          void setApplyValuesInDialog(boolean isApplyValuesInDialog)

      Tells whether the insert-default values should be applied to a DBObject when the record editor dialog is applied. By default the values are applied when dbInsert() is called.

Copyright © 2014 EsprIT-Systems. All Rights Reserved.